%global realname erlando
%global upstream rabbitmq
%global debug_package %{nil}
%global git_tag e3f115b
%global patchnumber 12


Name:		erlang-%{realname}
Version:	2.8.7
Release:	4.gite3f115b%{?dist}
Summary:	A set of syntax extensions for Erlang
Group:		Development/Languages
# src/cut.erl and src/do.erl are licensed under Erlang Public Licensr
# The rest is under Mozilla Public License v.1.1
License:	MPLv1.1 and ERPL
URL:		https://github.com/rabbitmq/erlando
# wget --content-disposition https://github.com/rabbitmq/erlando/tarball/e3f115b
Source0:	%{upstream}-%{realname}-rabbitmq_v2_8_2-%{patchnumber}-g%{git_tag}.tar.gz
# https://github.com/rabbitmq/erlando/pull/11
# https://github.com/rabbitmq/erlando/pull/12
Patch1:		erlang-erlando-0001-pmod_pt-added-for-parameterized-module-support.patch
BuildRequires:	erlang-rebar
Requires:	erlang-erts%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
A set of syntax extensions for Erlang.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
%patch1 -p1 -b .r16
sed -i -e "/warnings_as_errors/d" rebar.config


%build
rebar compile -v


%install
# No longer necessary
rm -f ebin/pmod_pt.beam
sed -i -e "s,pmod_pt\,,,g" ebin/erlando.app
sed -i -e "s,%%VSN%%,2.8.7,g" ebin/erlando.app
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include


%check
rebar eunit -v


%files
%doc README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.7-4.gite3f115b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.7-3.gite3f115b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.7-2.gite3f115b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 02 2013 Peter Lemenkov <lemenkov@gmail.com> - 2.8.7-1.gite3f115b
- Post-release snapshot for v.2.8.7
- Fixed FTBFS in Rawhide (F19)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.8.2-1
- Fixed licensing info

* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.8.2-1
- Ver. 2.8.2

* Tue Apr  3 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1
- initial build

